# psputility_netconf.h File Reference

`#include <psptypes.h>`

Include dependency graph for psputility_netconf.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | _pspUtilityNetconfData

## Typedefs

typedef _pspUtilityNetconfData | pspUtilityNetconfData

## Enumerations

enum | pspUtilityNetconfActions { PSP_NETCONF_ACTION_CONNECTAP, PSP_NETCONF_ACTION_DISPLAYSTATUS }
enum | pspUtilityNetconfStatus { PSP_NETCONF_STATUS_INIT = 1, PSP_NETCONF_STATUS_RUNNING, PSP_NETCONF_STATUS_FINISHED }

## Functions

int | sceUtilityNetconfInitStart (pspUtilityNetconfData *data)
| Init the Network Configuration Dialog Utility.
int | sceUtilityNetconfShutdownStart (void)
| Shutdown the Network Configuration Dialog Utility.
int | sceUtilityNetconfUpdate (int unknown)
| Update the Network Configuration Dialog GUI.
int | sceUtilityNetconfGetStatus (void)
| Get the status of a running Network Configuration Dialog.

## Typedef Documentation

typedef struct _pspUtilityNetconfData pspUtilityNetconfData

## Enumeration Type Documentation

enum pspUtilityNetconfActions

Enumerator:

  PSP_NETCONF_ACTION_CONNECTAP |
  PSP_NETCONF_ACTION_DISPLAYSTATUS |

enum pspUtilityNetconfStatus

Enumerator:

  PSP_NETCONF_STATUS_INIT |
  PSP_NETCONF_STATUS_RUNNING |
  PSP_NETCONF_STATUS_FINISHED |

## Function Documentation

int sceUtilityNetconfGetStatus | ( | void |  | ) |

Get the status of a running Network Configuration Dialog.

Returns:
  one of pspUtilityNetconfStatus on success, < 0 on error

int sceUtilityNetconfInitStart | ( | pspUtilityNetconfData * | data | ) |

Init the Network Configuration Dialog Utility.

Parameters:

  | data | - pointer to pspUtilityNetconfData to be initialized

Returns:
  0 on success, < 0 on error

int sceUtilityNetconfShutdownStart | ( | void |  | ) |

Shutdown the Network Configuration Dialog Utility.

Returns:
  0 on success, < 0 on error

int sceUtilityNetconfUpdate | ( | int | unknown | ) |

Update the Network Configuration Dialog GUI.

Parameters:

  | unknown | - unknown; set to 1

Returns:
  0 on success, < 0 on error